FileDesc (xmlbeans API)

org.apache.xmlbeans.impl.xb.ltgfmt

## Interface FileDesc

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    FileDescImpl

      public interface FileDesc
      extends XmlObject

  An XML file-desc(@http://www.bea.com/2003/05/xmlbean/ltgfmt). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `FileDesc.Role` An XML role(@).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<FileDesc>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Code` | `addNewCode()` Appends and returns a new empty "code" element
    `Code` | `getCode()` Gets the "code" element
    `String` | `getFileName()` Gets the "fileName" attribute
    `String` | `getFolder()` Gets the "folder" attribute
    `FileDesc.Role.Enum` | `getRole()` Gets the "role" attribute
    `String` | `getTsDir()` Gets the "tsDir" attribute
    `boolean` | `getValidity()` Gets the "validity" attribute
    `boolean` | `isSetCode()` True if has "code" element
    `boolean` | `isSetFileName()` True if has "fileName" attribute
    `boolean` | `isSetFolder()` True if has "folder" attribute
    `boolean` | `isSetRole()` True if has "role" attribute
    `boolean` | `isSetTsDir()` True if has "tsDir" attribute
    `boolean` | `isSetValidity()` True if has "validity" attribute
    `void` | `setCode(Code code)` Sets the "code" element
    `void` | `setFileName(String fileName)` Sets the "fileName" attribute
    `void` | `setFolder(String folder)` Sets the "folder" attribute
    `void` | `setRole(FileDesc.Role.Enum role)` Sets the "role" attribute
    `void` | `setTsDir(String tsDir)` Sets the "tsDir" attribute
    `void` | `setValidity(boolean validity)` Sets the "validity" attribute
    `void` | `unsetCode()` Unsets the "code" element
    `void` | `unsetFileName()` Unsets the "fileName" attribute
    `void` | `unsetFolder()` Unsets the "folder" attribute
    `void` | `unsetRole()` Unsets the "role" attribute
    `void` | `unsetTsDir()` Unsets the "tsDir" attribute
    `void` | `unsetValidity()` Unsets the "validity" attribute
    `XmlToken` | `xgetFileName()` Gets (as xml) the "fileName" attribute
    `XmlToken` | `xgetFolder()` Gets (as xml) the "folder" attribute
    `FileDesc.Role` | `xgetRole()` Gets (as xml) the "role" attribute
    `XmlToken` | `xgetTsDir()` Gets (as xml) the "tsDir" attribute
    `XmlBoolean` | `xgetValidity()` Gets (as xml) the "validity" attribute
    `void` | `xsetFileName(XmlToken fileName)` Sets (as xml) the "fileName" attribute
    `void` | `xsetFolder(XmlToken folder)` Sets (as xml) the "folder" attribute
    `void` | `xsetRole(FileDesc.Role role)` Sets (as xml) the "role" attribute
    `void` | `xsetTsDir(XmlToken tsDir)` Sets (as xml) the "tsDir" attribute
    `void` | `xsetValidity(XmlBoolean validity)` Sets (as xml) the "validity" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<FileDesc> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getCode

          Code getCode()

      Gets the "code" element

    - #### isSetCode

          boolean isSetCode()

      True if has "code" element

    - #### setCode

          void setCode(Code code)

      Sets the "code" element

    - #### addNewCode

          Code addNewCode()

      Appends and returns a new empty "code" element

    - #### unsetCode

          void unsetCode()

      Unsets the "code" element

    - #### getTsDir

          String getTsDir()

      Gets the "tsDir" attribute

    - #### xgetTsDir

          XmlToken xgetTsDir()

      Gets (as xml) the "tsDir" attribute

    - #### isSetTsDir

          boolean isSetTsDir()

      True if has "tsDir" attribute

    - #### setTsDir

          void setTsDir(String tsDir)

      Sets the "tsDir" attribute

    - #### xsetTsDir

          void xsetTsDir(XmlToken tsDir)

      Sets (as xml) the "tsDir" attribute

    - #### unsetTsDir

          void unsetTsDir()

      Unsets the "tsDir" attribute

    - #### getFolder

          String getFolder()

      Gets the "folder" attribute

    - #### xgetFolder

          XmlToken xgetFolder()

      Gets (as xml) the "folder" attribute

    - #### isSetFolder

          boolean isSetFolder()

      True if has "folder" attribute

    - #### setFolder

          void setFolder(String folder)

      Sets the "folder" attribute

    - #### xsetFolder

          void xsetFolder(XmlToken folder)

      Sets (as xml) the "folder" attribute

    - #### unsetFolder

          void unsetFolder()

      Unsets the "folder" attribute

    - #### getFileName

          String getFileName()

      Gets the "fileName" attribute

    - #### xgetFileName

          XmlToken xgetFileName()

      Gets (as xml) the "fileName" attribute

    - #### isSetFileName

          boolean isSetFileName()

      True if has "fileName" attribute

    - #### setFileName

          void setFileName(String fileName)

      Sets the "fileName" attribute

    - #### xsetFileName

          void xsetFileName(XmlToken fileName)

      Sets (as xml) the "fileName" attribute

    - #### unsetFileName

          void unsetFileName()

      Unsets the "fileName" attribute

    - #### getRole

          FileDesc.Role.Enum getRole()

      Gets the "role" attribute

    - #### xgetRole

          FileDesc.Role xgetRole()

      Gets (as xml) the "role" attribute

    - #### isSetRole

          boolean isSetRole()

      True if has "role" attribute

    - #### setRole

          void setRole(FileDesc.Role.Enum role)

      Sets the "role" attribute

    - #### xsetRole

          void xsetRole(FileDesc.Role role)

      Sets (as xml) the "role" attribute

    - #### unsetRole

          void unsetRole()

      Unsets the "role" attribute

    - #### getValidity

          boolean getValidity()

      Gets the "validity" attribute

    - #### xgetValidity

          XmlBoolean xgetValidity()

      Gets (as xml) the "validity" attribute

    - #### isSetValidity

          boolean isSetValidity()

      True if has "validity" attribute

    - #### setValidity

          void setValidity(boolean validity)

      Sets the "validity" attribute

    - #### xsetValidity

          void xsetValidity(XmlBoolean validity)

      Sets (as xml) the "validity" attribute

    - #### unsetValidity

          void unsetValidity()

      Unsets the "validity" attribute